package com.ruoyi.ems.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 电力消耗预测对象 adm_ems_elec_expend_forecast
 *
 * @author ruoyi
 * @date 2024-08-12
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ElecConsumeForecast extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    private Long id;

    /**
     * 园区代码
     */
    @Excel(name = "园区代码")
    private String areaCode;

    /**
     * 对象代码
     */
    @Excel(name = "对象代码")
    private String objCode;

    private String objName;

    /**
     * 对象类型
     */
    @Excel(name = "对象类型")
    private Integer objType;

    /**
     * 日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /**
     * 功率 （千瓦）
     */
    @Excel(name = "功率 ")
    private Double elecUseQuantity;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("areaCode", getAreaCode())
                .append("objCode", getObjCode())
                .append("objType", getObjType())
                .append("date", getDate())
                .append("elecUseQuantity", getElecUseQuantity())
                .toString();
    }
}
